let mc_tiers = ['wooden','stone','golden','iron','diamond','netherite']
let tools = ['sword','shovel','pickaxe','axe','hoe','battleaxe']
let arm_tiers = ['leather','chainmail','iron','diamond','golden','netherite']
let arm_type = ['helmet','chestplate','leggings','boots']
let ie_arm = ['head','chest','legs','feet']

ItemEvents.modification(event =>{

    event.modify('minecraft:shears', item =>{item.maxDamage = 0})
    event.modify('minecraft:fishing_rod', item =>{item.maxDamage = 0})
    event.modify('minecraft:flint_and_steel', item =>{item.maxDamage = 0})
    event.modify('minecraft:bow', item =>{item.maxDamage = 0})
    event.modify('minecraft:shield', item =>{item.maxDamage = 0})
    event.modify('minecraft:trident', item =>{item.maxDamage = 0})
    event.modify('minecraft:crossbow', item =>{item.maxDamage = 0})
    event.modify('minecraft:turtle_helmet', item =>{item.maxDamage = 0})
//    event.modify('minecraft:elytra', item =>{item.maxDamage = 0})
    event.modify('immersiveengineering:hammer', item =>{item.maxDamage = 0})
    event.modify('immersiveengineering:wirecutter', item =>{item.maxDamage = 0})
    event.modify('immersiveengineering:screwdriver', item =>{item.maxDamage = 0})
    event.modify('immersiveengineering:shield', item =>{item.maxDamage = 0})
    event.modify('farmersdelight:flint_knife', item =>{item.maxDamage = 0})
    event.modify('farmersdelight:skillet', item =>{item.maxDamage = 0})

    mc_tiers.forEach(a=>{
        tools.forEach(b=>{
            event.modify('minecraft:'+a+'_'+b, item =>{item.maxDamage = 0})
            event.modify('farmersdelight:'+a+'_knife', item =>{item.maxDamage = 0})
            event.modify('byg:pendorite_'+b, item =>{item.maxDamage = 0})
            event.modify('immersiveengineering:'+b+'_steel', item =>{item.maxDamage = 0})
        })
    })

    arm_tiers.forEach(a =>{
        arm_type.forEach(b =>{
            event.modify('minecraft:'+a+'_'+b, item =>{item.maxDamage = 0})
            event.modify('byg:ametrine_'+b, item =>{item.maxDamage = 0})
            event.modify('scuba_gear:scuba_'+b, item =>{item.maxDamage = 0})
        })
    })
    ie_arm.forEach(a=>{
        event.modify('immersiveengineering:armor_steel_'+a, item =>{item.maxDamage =0})
        event.modify('immersiveengineering:armor_faraday_'+a, item =>{item.maxDamage =0})
    
    })
})